Loading...
Searching...
No Matches
sensors::NumericSensor::ThresholdsChangedEvent Struct Reference

Event: Sensor thresholds have changed. More...

Inheritance diagram for sensors::NumericSensor::ThresholdsChangedEvent:

## Public Attributes

Thresholds | oldThresholds
| Threshold set before change.
Thresholds | newThresholds
| Threshold set after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Sensor thresholds have changed.

Definition at line 185 of file NumericSensor.idl.

## Member Data Documentation

## newThresholds

Thresholds sensors::NumericSensor::ThresholdsChangedEvent::newThresholds

Threshold set after change.

Definition at line 187 of file NumericSensor.idl.

## oldThresholds

Thresholds sensors::NumericSensor::ThresholdsChangedEvent::oldThresholds

Threshold set before change.

Definition at line 186 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl